using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication3
{
    class Program
    {
        static void Main(string[] args)
        {
            var ulaz = Console.ReadLine().Split().ToArray();
            int N = int.Parse(ulaz[0]);
            int Q = int.Parse(ulaz[1]);
            int[] dani = new int[N];
            int[] pakovanja = new int[N];
            int[] pitanja = new int[Q];
            for(int i = 0; i < N; i++)
            {
                var ucitavanje = Console.ReadLine().Split().Select(int.Parse).ToArray();
                dani[i] = ucitavanje[0];
                pakovanja[i] = ucitavanje[1];
            }
            for(int i = 0; i < Q; i++)
            {
                pitanja[i] = int.Parse(Console.ReadLine());
            }
            foreach(int kj in pitanja)
            {
                int ukupno = 0;
                for(int i = 0; i < N; i++)
                {
                    if(dani[i]>kj)
                       break;
                    ukupno+=pakovanja[i];
                    Console.WriteLine(ukupno);
                }
            }
            Console.ReadLine();
        }
    }
}